jQuery(document).ready(function($) {
    var customAvatarUploader;
    $('#custom_profile_image_button').on('click', function(e) {
        e.preventDefault();
        if (customAvatarUploader) {
            customAvatarUploader.open();
            return;
        }
        customAvatarUploader = wp.media({
            title: 'Escolher Imagem',
            button: {
                text: 'Escolher Imagem'
            },
            multiple: false
        });
        customAvatarUploader.on('select', function() {
            var attachment = customAvatarUploader.state().get('selection').first().toJSON();
            $('#custom_profile_image').val(attachment.url);
            validateImageUrl(attachment.url);
        });
    });

    var feedbackDiv = $('#custom_profile_image_feedback');
    var imageInput = $('#custom_profile_image');

    function validateImageUrl(url) {
        if (!url) return;

        feedbackDiv.html('Verificando imagem...');
        feedbackDiv.css('color', '#666');

        var img = new Image();
        img.onload = function() {
            // Verifica dimensões
            if (this.width < 200 || this.height < 200) {
                feedbackDiv.html('Aviso: A imagem deve ter no mínimo 200x200 pixels.');
                feedbackDiv.css('color', '#d63638');
                return;
            }
            if (this.width > 2000 || this.height > 2000) {
                feedbackDiv.html('Aviso: A imagem deve ter no máximo 2000x2000 pixels.');
                feedbackDiv.css('color', '#d63638');
                return;
            }
            feedbackDiv.html('Imagem válida!');
            feedbackDiv.css('color', '#00a32a');
        };
        img.onerror = function() {
            feedbackDiv.html('Erro ao carregar a imagem.');
            feedbackDiv.css('color', '#d63638');
        };
        img.src = url;
    }

    imageInput.on('change', function() {
        validateImageUrl(this.value);
    });
});
